# run_app.py
import os
import uvicorn

# Ensure upload folder exists
UPLOAD_FOLDER = "data/uploads"
os.makedirs(UPLOAD_FOLDER, exist_ok=True)

if __name__ == "__main__":
    uvicorn.run(
        "main:app",       # module_name:app_instance
        host="0.0.0.0",   # accessible on all interfaces
        port=8000,
        reload=True,      # enables auto-reload on code changes
    )
